Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wavemaker.runtime.service.response
Class LiveDataServiceResponse

    java.lang.Object
      com.wavemaker.runtime.service.response.LiveDataServiceResponse

All Implemented Interfaces:
  com.wavemaker.runtime.service.response.PagingResponse, com.wavemaker.runtime.service.response.RootServiceResponse, com.wavemaker.runtime.service.response.SuccessResponse

    public class LiveDataServiceResponse

extends java.lang.Object
implements com.wavemaker.runtime.service.response.PagingResponse, com.wavemaker.runtime.service.response.SuccessResponse

Wrapper that CRUD operations can return to provide meta-data about their result to the client.

Version:
  $Rev: 29059 $ - $Date: 2010-04-29 17:19:33 -0700 (Thu, 29 Apr 2010) $
Author:
  small

Field Summary

Fields inherited from interface com.wavemaker.runtime.service.response.PagingResponse
`PAGING_NOT_USED`

Constructor Summary
`LiveDataServiceResponse()`
`LiveDataServiceResponse(java.lang.Object result)`
`LiveDataServiceResponse(java.lang.Object result, int dataSetSize)`

Method Summary
`long` | `getDataSetSize()`
`java.lang.Object` | `getResult()`
`void` | `setDataSetSize(long dataSetSize)`
`void` | `setResult(java.lang.Object result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LiveDataServiceResponse

    public LiveDataServiceResponse()

### LiveDataServiceResponse

    public LiveDataServiceResponse(java.lang.Object result)

### LiveDataServiceResponse

    public LiveDataServiceResponse(java.lang.Object result,
                                   int dataSetSize)

Method Detail

### getResult

    public java.lang.Object getResult()

  Specified by:
    `getResult` in interface `com.wavemaker.runtime.service.response.SuccessResponse`

### setResult

    public void setResult(java.lang.Object result)

  See Also:
    `getResult()`

### getDataSetSize

    public long getDataSetSize()

  Specified by:
    `getDataSetSize` in interface `com.wavemaker.runtime.service.response.PagingResponse`

### setDataSetSize

    public void setDataSetSize(long dataSetSize)

  See Also:
    `getDataSetSize()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD